メインコンテンツへスキップ
POST
/
crm
/
v3
/
properties
/
{objectType}
/
batch
/
create
プロパティーをバッチ作成
curl --request POST \
  --url https://api.hubapi.com/crm/v3/properties/{objectType}/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "displayOrder": 2,
      "fieldType": "select",
      "formField": true,
      "groupName": "contactinformation",
      "hasUniqueValue": false,
      "hidden": false,
      "label": "My Contact Property",
      "name": "my_contact_property",
      "options": [
        {
          "description": "Choice number one",
          "displayOrder": 1,
          "hidden": false,
          "label": "Option A",
          "value": "A"
        },
        {
          "description": "Choice number two",
          "displayOrder": 2,
          "hidden": false,
          "label": "Option B",
          "value": "B"
        }
      ],
      "type": "enumeration"
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/crm/v3/properties/{objectType}/batch/create"

payload = { "inputs": [
        {
            "displayOrder": 2,
            "fieldType": "select",
            "formField": True,
            "groupName": "contactinformation",
            "hasUniqueValue": False,
            "hidden": False,
            "label": "My Contact Property",
            "name": "my_contact_property",
            "options": [
                {
                    "description": "Choice number one",
                    "displayOrder": 1,
                    "hidden": False,
                    "label": "Option A",
                    "value": "A"
                },
                {
                    "description": "Choice number two",
                    "displayOrder": 2,
                    "hidden": False,
                    "label": "Option B",
                    "value": "B"
                }
            ],
            "type": "enumeration"
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    inputs: [
      {
        displayOrder: 2,
        fieldType: 'select',
        formField: true,
        groupName: 'contactinformation',
        hasUniqueValue: false,
        hidden: false,
        label: 'My Contact Property',
        name: 'my_contact_property',
        options: [
          {
            description: 'Choice number one',
            displayOrder: 1,
            hidden: false,
            label: 'Option A',
            value: 'A'
          },
          {
            description: 'Choice number two',
            displayOrder: 2,
            hidden: false,
            label: 'Option B',
            value: 'B'
          }
        ],
        type: 'enumeration'
      }
    ]
  })
};

fetch('https://api.hubapi.com/crm/v3/properties/{objectType}/batch/create', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "displayOrder": 2,
      "fieldType": "select",
      "formField": true,
      "groupName": "contactinformation",
      "hasUniqueValue": false,
      "hidden": false,
      "label": "My Contact Property",
      "modificationMetadata": {
        "archivable": true,
        "readOnlyDefinition": false,
        "readOnlyOptions": false,
        "readOnlyValue": false
      },
      "name": "my_contact_property",
      "options": [
        {
          "description": "Choice number one",
          "displayOrder": 1,
          "hidden": false,
          "label": "Option A",
          "value": "A"
        },
        {
          "description": "Choice number two",
          "displayOrder": 2,
          "hidden": false,
          "label": "Option B",
          "value": "B"
        }
      ],
      "type": "enumeration"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "displayOrder": 2,
      "fieldType": "select",
      "formField": true,
      "groupName": "contactinformation",
      "hasUniqueValue": false,
      "hidden": false,
      "label": "My Contact Property",
      "modificationMetadata": {
        "archivable": true,
        "readOnlyDefinition": false,
        "readOnlyOptions": false,
        "readOnlyValue": false
      },
      "name": "my_contact_property",
      "options": [
        {
          "description": "Choice number one",
          "displayOrder": 1,
          "hidden": false,
          "label": "Option A",
          "value": "A"
        },
        {
          "description": "Choice number two",
          "displayOrder": 2,
          "hidden": false,
          "label": "Option B",
          "value": "B"
        }
      ],
      "type": "enumeration"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

ボディ

application/json
inputs
object[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

バッチ処理が完了した日時を示すタイムスタンプ。

results
object[]
必須
startedAt
string<date-time>
必須

バッチ処理が開始された日時を示すタイムスタンプ。

status
enum<string>
必須

バッチ処理の現在のステータス。許容される値は、CANCELED、COMPLETE、PENDING、PROCESSINGです。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチ処理に関連するドキュメントまたは資料につながるURLのコレクション。

requestedAt
string<date-time>

バッチ処理が要求された日時を示すタイムスタンプ。

最終更新日 2026年4月10日